﻿using PdfSharp;
using PdfSharp.Drawing;
using PdfSharp.Pdf;
using PdfSharp.Pdf.IO;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SVGtoPDFPoC
{
    class Program
    {
        static void Main(string[] args)
        {
            /*
            // Create a new PDF document
            PdfDocument document = new PdfDocument();
            document.Info.Title = "Created with PDFsharp";

            // Create an empty page
            PdfPage page = document.AddPage();

            // Get an XGraphics object for drawing
            XGraphics gfx = XGraphics.FromPdfPage(page);

            // Create a font
            //XFont font = new XFont("Verdana", 20, XFontStyle.BoldItalic);
            XFont font = new XFont("Avenir LT Std 35 Light", 29, XFontStyle.Regular);

            // Draw the text
            gfx.DrawString("Hello, World!", font, XBrushes.Black, new XRect(0, 0, page.Width, page.Height), XStringFormats.Center);

            // Save the document...
            const string filename = "HelloWorld.pdf";
            document.Save(filename);
            // ...and start a viewer.
            Process.Start(filename);
            */

            // Create a temporary file
            string filename = String.Format("{0}_tempfile.pdf", Guid.NewGuid().ToString("D").ToUpper());
            PdfDocument s_document = new PdfDocument();
            s_document.Options.ColorMode = PdfColorMode.Cmyk;
            
            //s_document.Info.Title = "PDFsharp XGraphic Sample";
            //s_document.Info.Author = "Stefan Lange";
            //s_document.Info.Subject = "Created with code snippets that show the use of graphical functions";
            //s_document.Info.Keywords = "PDFsharp, XGraphics";

            // Create demonstration pages
            //new LinesAndCurves(s_document).DrawPage(s_document.AddPage());
            //new Shapes(s_document).DrawPage(s_document.AddPage());
            //new Paths(s_document).DrawPage(s_document.AddPage());
            //new Text(s_document).DrawPage(s_document.AddPage());

            //Images img = new Images(s_document);
            //img.gifSamplePath = "";
            //img.tiffSamplePath = "";
            //img.pdfSamplePath = "";
            //img.jpegSamplePath = "";
            //img.pngSamplePath = "arrow.png";
            //img.DrawPage(s_document.AddPage());

            new Paths(s_document).DrawFromSvg(s_document.AddPage());
            //new Paths(s_document).DrawPage(s_document.AddPage());

            // Save the s_document...
            s_document.Save(filename);
            // ...and start a viewer
            Process.Start(filename);
        }
    }
}
